-- Fatimids (Billah)
-- ======================================================================================================
-- CIVILIZATIONS
-- ======================================================================================================
-- Civilizations
----------------
INSERT INTO Civilizations
       (Type,                         Description,                       ShortDescription,                          Adjective,                          Civilopedia,                         CivilopediaTag,      DefaultPlayerColor,       ArtDefineTag,   ArtStyleType,  ArtStyleSuffix, ArtStylePrefix,                  IconAtlas,        PortraitIndex,  AlphaIconAtlas,               SoundtrackTag,   MapImage,                   DawnOfManQuote,                   DawnOfManImage)
SELECT 'CIVILIZATION_THP_FATIMID_BILLAH', 'TXT_KEY_CIV_THP_FATIMID_BILLAH_DESC',  'TXT_KEY_CIV_THP_FATIMID_BILLAH_SHORT_DESC',   'TXT_KEY_CIV_THP_FATIMID_BILLAH_ADJECTIVE',    'TXT_KEY_PEDIA_THP_FATIMID_BILLAH_TEXT',  'TXT_KEY_PEDIA_THP_FATIMID_BILLAH', 'PLAYERCOLOR_THP_FATIMID_BILLAH',     ArtDefineTag,   ArtStyleType,  ArtStyleSuffix, ArtStylePrefix,    'THP_FATIMID_BILLAH_ATLAS',   0,             'THP_FATIMID_BILLAH_ALPHA_ATLAS',   SoundtrackTag,  'Map_Billah.dds',  'TXT_KEY_CIV5_DAWN_THP_FATIMID_BILLAH_TEXT',   'Billah_DOM.dds'
FROM Civilizations WHERE Type = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_CityNames
-------------------------
INSERT INTO Civilization_CityNames
          (CivilizationType,                       CityName)
VALUES    ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_1'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_2'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_3'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_4'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_5'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_6'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_7'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_8'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_9'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_10'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_11'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_12'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_13'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_14'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_15'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_16'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_17'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_18'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_19'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_20'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_21'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_22'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_23'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_24'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_25'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_26'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_27'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_CITY_NAME_THP_FATIMID_BILLAH_28');
-----------------------------------
-- Civilization_FreeBuildingClasses
-----------------------------------
INSERT INTO Civilization_FreeBuildingClasses
          (CivilizationType,                     BuildingClassType)
SELECT    'CIVILIZATION_THP_FATIMID_BILLAH',     BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_FreeTechs
-------------------------
INSERT INTO Civilization_FreeTechs
          (CivilizationType,                     TechType)
SELECT    'CIVILIZATION_THP_FATIMID_BILLAH',     TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_FreeUnits
-------------------------
INSERT INTO Civilization_FreeUnits
          (CivilizationType,                     UnitClassType, Count, UnitAIType)
SELECT    'CIVILIZATION_THP_FATIMID_BILLAH',     UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-----------------------
-- Civilization_Leaders
-----------------------
INSERT INTO Civilization_Leaders
       (CivilizationType,                  LeaderheadType)
VALUES ('CIVILIZATION_THP_FATIMID_BILLAH', 'LEADER_THP_BILLAH');
----------------------------------
-- Civilization_UnitClassOverrides
----------------------------------
INSERT INTO Civilization_UnitClassOverrides
       (CivilizationType,                   UnitClassType,        UnitType)
VALUES ('CIVILIZATION_THP_FATIMID_BILLAH', 'UNITCLASS_KNIGHT',   'UNIT_THP_KUTAMA'),
       ('CIVILIZATION_THP_FATIMID_BILLAH', 'UNITCLASS_GALLEASS', 'UNIT_THP_SHINI');
-------------------------
-- Civilization_Religions
-------------------------
INSERT INTO Civilization_Religions
       (CivilizationType,                   ReligionType)
VALUES ('CIVILIZATION_THP_FATIMID_BILLAH', 'RELIGION_ISLAM');
------------------------
-- Civilization_SpyNames
------------------------
INSERT INTO Civilization_SpyNames
          (CivilizationType,                       SpyName)
VALUES    ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_0'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_1'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_2'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_3'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_4'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_5'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_6'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_7'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_8'),
          ('CIVILIZATION_THP_FATIMID_BILLAH',     'TXT_KEY_SPY_NAME_THP_FATIMID_BILLAH_9');
-- ======================================================================================================
-- LEADERS
-- ======================================================================================================
-- Leaders
----------
INSERT INTO Leaders
(Type,                                     Description,                          Civilopedia,                               CivilopediaTag,                            ArtDefineTag,         VictoryCompetitiveness,     WonderCompetitiveness,     MinorCivCompetitiveness,     Boldness,     DiploBalance,     WarmongerHate,     DenounceWillingness,     DoFWillingness, Loyalty,     Neediness,    Forgiveness,     Chattiness, Meanness,     IconAtlas,             PortraitIndex)
VALUES    ('LEADER_THP_BILLAH',     'TXT_KEY_LEADER_THP_BILLAH',    'TXT_KEY_LEADER_THP_BILLAH_PEDIA_TEXT',    'TXT_KEY_LEADER_THP_BILLAH_PEDIA',     'Billah_Leaderhead.xml',    7,                                        5,                         7,                           8,            3,                4,                 8,                       5,                    5,           4,            2,               7,          4,           'THP_FATIMID_BILLAH_ATLAS',   1);
--------------------------------
-- Leader_MajorCivApproachBiases
--------------------------------
INSERT INTO Leader_MajorCivApproachBiases
          (LeaderType,               MajorCivApproachType,              Bias)
VALUES    ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_WAR',           7),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_HOSTILE',       6),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_DECEPTIVE',     3),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_GUARDED',       6),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_AFRAID',        4),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_FRIENDLY',      5),
          ('LEADER_THP_BILLAH',     'MAJOR_CIV_APPROACH_NEUTRAL',       3);
--------------------------------
-- Leader_MinorCivApproachBiases
--------------------------------
INSERT INTO Leader_MinorCivApproachBiases
          (LeaderType,               MinorCivApproachType,              Bias)
VALUES    ('LEADER_THP_BILLAH',     'MINOR_CIV_APPROACH_IGNORE',        7),
          ('LEADER_THP_BILLAH',     'MINOR_CIV_APPROACH_FRIENDLY',      2),
          ('LEADER_THP_BILLAH',     'MINOR_CIV_APPROACH_PROTECTIVE',    6),
          ('LEADER_THP_BILLAH',     'MINOR_CIV_APPROACH_CONQUEST',      6),
          ('LEADER_THP_BILLAH',     'MINOR_CIV_APPROACH_BULLY',         3);
-----------------
-- Leader_Flavors
-----------------
INSERT INTO Leader_Flavors
          (LeaderType,               FlavorType,                        Flavor)
VALUES    ('LEADER_THP_BILLAH',     'FLAVOR_OFFENSE',                   9),
          ('LEADER_THP_BILLAH',     'FLAVOR_DEFENSE',                   5),
          ('LEADER_THP_BILLAH',     'FLAVOR_CITY_DEFENSE',              6),
          ('LEADER_THP_BILLAH',     'FLAVOR_MILITARY_TRAINING',         8),
          ('LEADER_THP_BILLAH',     'FLAVOR_RECON',                     5),
          ('LEADER_THP_BILLAH',     'FLAVOR_RANGED',                    8),
          ('LEADER_THP_BILLAH',     'FLAVOR_MOBILE',                    5),
          ('LEADER_THP_BILLAH',     'FLAVOR_NAVAL',                     7),
          ('LEADER_THP_BILLAH',     'FLAVOR_NAVAL_RECON',               4),
          ('LEADER_THP_BILLAH',     'FLAVOR_NAVAL_GROWTH',              5),
          ('LEADER_THP_BILLAH',     'FLAVOR_NAVAL_TILE_IMPROVEMENT',    5),
          ('LEADER_THP_BILLAH',     'FLAVOR_AIR',                       6),
          ('LEADER_THP_BILLAH',     'FLAVOR_EXPANSION',                 8),
          ('LEADER_THP_BILLAH',     'FLAVOR_GROWTH',                    5),
          ('LEADER_THP_BILLAH',     'FLAVOR_TILE_IMPROVEMENT',          6),
          ('LEADER_THP_BILLAH',     'FLAVOR_INFRASTRUCTURE',            5),
          ('LEADER_THP_BILLAH',     'FLAVOR_PRODUCTION',                6),
          ('LEADER_THP_BILLAH',     'FLAVOR_GOLD',                      7),
          ('LEADER_THP_BILLAH',     'FLAVOR_SCIENCE',                   5),
          ('LEADER_THP_BILLAH',     'FLAVOR_CULTURE',                   4),
          ('LEADER_THP_BILLAH',     'FLAVOR_HAPPINESS',                 4),
          ('LEADER_THP_BILLAH',     'FLAVOR_GREAT_PEOPLE',              8),
          ('LEADER_THP_BILLAH',     'FLAVOR_WONDER',                    4),
          ('LEADER_THP_BILLAH',     'FLAVOR_RELIGION',                  10),
          ('LEADER_THP_BILLAH',     'FLAVOR_DIPLOMACY',                 5),
          ('LEADER_THP_BILLAH',     'FLAVOR_SPACESHIP',                 5),
          ('LEADER_THP_BILLAH',     'FLAVOR_WATER_CONNECTION',          5),
          ('LEADER_THP_BILLAH',     'FLAVOR_NUKE',                      4),
          ('LEADER_THP_BILLAH',     'FLAVOR_USE_NUKE',                  7),
          ('LEADER_THP_BILLAH',     'FLAVOR_ESPIONAGE',                 9),
          ('LEADER_THP_BILLAH',     'FLAVOR_ANTIAIR',                   6),
          ('LEADER_THP_BILLAH',     'FLAVOR_AIRLIFT',                   4),
          ('LEADER_THP_BILLAH',     'FLAVOR_I_TRADE_DESTINATION',       4),
          ('LEADER_THP_BILLAH',     'FLAVOR_I_TRADE_ORIGIN',            4),
          ('LEADER_THP_BILLAH',     'FLAVOR_I_SEA_TRADE_ROUTE',         3),
          ('LEADER_THP_BILLAH',     'FLAVOR_I_LAND_TRADE_ROUTE',        5),
          ('LEADER_THP_BILLAH',     'FLAVOR_ARCHAEOLOGY',               5),
          ('LEADER_THP_BILLAH',     'FLAVOR_AIR_CARRIER',               3);
----------------
-- Leader_Traits
----------------
INSERT INTO Leader_Traits
       (LeaderType,            TraitType)
VALUES ('LEADER_THP_BILLAH',   'TRAIT_THP_FATIMID_BILLAH');
-- ======================================================================================================
-- TRAITS
-- ======================================================================================================
-- Traits
---------
INSERT INTO Traits
       (Type,                           Description,                          ShortDescription)
VALUES ('TRAIT_THP_FATIMID_BILLAH',    'TXT_KEY_TRAIT_THP_FATIMID_BILLAH',   'TXT_KEY_TRAIT_THP_FATIMID_BILLAH_SHORT');
-- ======================================================================================================
-- UNITS
-- ======================================================================================================
-- UnitPromotions
-----------------
INSERT INTO UnitPromotions
(Type,                         Description,                             Help,                                         Sound,                 CannotBeChosen,    OpenAttack,    OpenDefense,    RoughAttack,    RoughDefense,    MovesChange, CaptureDefeatedEnemy,     PortraitIndex,     IconAtlas,             PediaType,             PediaEntry)
VALUES    ('PROMOTION_THP_KUTAMA',         'TXT_KEY_PROMOTION_THP_KUTAMA',     'TXT_KEY_PROMOTION_THP_KUTAMA_HELP',     'AS2D_IF_LEVELUP',     1, 0, 0, 0, 0, 0, 0,                59,             'ABILITY_ATLAS',     'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_THP_KUTAMA'),
('PROMOTION_THP_KUTAMA_DUMMY',         'TXT_KEY_PROMOTION_THP_KUTAMA',     'TXT_KEY_PROMOTION_THP_KUTAMA_DUMMY_HELP',     'AS2D_IF_LEVELUP',     1, 15, 15, 15, 15, 0, 0,                59,             'ABILITY_ATLAS',     'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_THP_KUTAMA'),
('PROMOTION_THP_FAST_GP',         'TXT_KEY_PROMOTION_THP_FAST_GP',     'TXT_KEY_PROMOTION_THP_FAST_GP_HELP',     'AS2D_IF_LEVELUP',     1, 0, 0, 0, 0, 2, 0,            59,             'ABILITY_ATLAS',     'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_THP_FAST_GP'),
('PROMOTION_THP_DAI_CONVERT',         'TXT_KEY_PROMOTION_THP_DAI_CONVERT',     'TXT_KEY_PROMOTION_THP_DAI_CONVERT_HELP',     'AS2D_IF_LEVELUP',     1, 0, 0, 0, 0, 0, 1,            59,             'ABILITY_ATLAS',     'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_THP_DAI_CONVERT');
--------
-- Units
--------
INSERT INTO Units
(Type,                               Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, Combat,     FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special,            Description,                         Help,                                    Strategy,                                 Civilopedia,                             MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo,                UnitFlagAtlas,                         UnitFlagIconOffset,    IconAtlas,              PortraitIndex,  MoveRate)
SELECT    'UNIT_THP_KUTAMA',   Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, Combat,     FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special, 'TXT_KEY_UNIT_THP_SHINI',    'TXT_KEY_UNIT_THP_KUTAMA_HELP',    'TXT_KEY_UNIT_THP_KUTAMA_STRATEGY',      'TXT_KEY_UNIT_THP_KUTAMA_TEXT',    MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, 'ART_DEF_UNIT_THP_KUTAMA', 'THP_UNIT_KUTAMA_FLAG_ATLAS',    0,                    'THP_FATIMID_BILLAH_ATLAS',   2,              MoveRate
FROM Units WHERE Type = 'UNIT_KNIGHT';

INSERT INTO Units
(Type,                               Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, Combat,  RangedCombat,   Range,     FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special,            Description,                         Help,                                    Strategy,                                 Civilopedia,                             MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo,                UnitFlagAtlas,                         UnitFlagIconOffset,    IconAtlas,              PortraitIndex,  MoveRate)
SELECT    'UNIT_THP_SHINI',   Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, 22,    20,   Range, FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special, 'TXT_KEY_UNIT_THP_SHINI',    'TXT_KEY_UNIT_THP_SHINI_HELP',    'TXT_KEY_UNIT_THP_SHINI_STRATEGY',      'TXT_KEY_UNIT_THP_SHINI_TEXT',    MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, 'ART_DEF_UNIT_THP_SHINI', 'THP_UNIT_SHINI_FLAG_ATLAS',    0,                    'THP_FATIMID_BILLAH_ATLAS',   3,              MoveRate
FROM Units WHERE Type = 'UNIT_GALLEASS';
------------------------
-- UnitGameplay2DScripts
------------------------
INSERT INTO UnitGameplay2DScripts
       (UnitType,          SelectionSound, FirstSelectionSound)
SELECT 'UNIT_THP_KUTAMA',  SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_KNIGHT';

INSERT INTO UnitGameplay2DScripts
       (UnitType,         SelectionSound, FirstSelectionSound)
SELECT 'UNIT_THP_SHINI',  SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GALLEASS';
---------------
-- Unit_Flavors
---------------
INSERT INTO Unit_Flavors
       (UnitType,          FlavorType, Flavor)
SELECT 'UNIT_THP_KUTAMA',  FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_KNIGHT';

INSERT INTO Unit_Flavors
       (UnitType,         FlavorType, Flavor)
SELECT 'UNIT_THP_SHINI',  FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_GALLEASS';
----------------------
-- Unit_FreePromotions
----------------------
INSERT INTO Unit_FreePromotions
       (UnitType,         PromotionType)
SELECT 'UNIT_THP_KUTAMA',  PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_KNIGHT';

INSERT INTO Unit_FreePromotions
       (UnitType,         PromotionType)
SELECT 'UNIT_THP_SHINI',  PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GALLEASS';

INSERT INTO Unit_FreePromotions
        (UnitType,           PromotionType)
VALUES  ('UNIT_THP_KUTAMA', 'PROMOTION_THP_KUTAMA'),
        ('UNIT_THP_SHINI',  'PROMOTION_MUST_SET_UP'),
        ('UNIT_THP_SHINI',  'PROMOTION_SPAWN_GENERALS_I');
---------------------
-- Unit_ClassUpgrades
---------------------
INSERT INTO Unit_ClassUpgrades
       (UnitType,          UnitClassType)
SELECT 'UNIT_THP_KUTAMA',  UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_KNIGHT';

INSERT INTO Unit_ClassUpgrades
       (UnitType,         UnitClassType)
SELECT 'UNIT_THP_SHINI',  UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_GALLEASS';
------------------------------------
-- Unit_ResourceQuantityRequirements
------------------------------------
INSERT INTO Unit_ResourceQuantityRequirements
       (UnitType,          ResourceType)
SELECT 'UNIT_THP_KUTAMA',  ResourceType
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_KNIGHT';
-- ======================================================================================================
-- ======================================================================================================
