-- Fatimids (Mu'izz)
-- ======================================================================================================
-- CIVILIZATIONS
-- ======================================================================================================
-- Civilizations
----------------
INSERT INTO Civilizations
       (Type,                         Description,                       ShortDescription,                          Adjective,                          Civilopedia,                         CivilopediaTag,      DefaultPlayerColor,       ArtDefineTag,   ArtStyleType,  ArtStyleSuffix, ArtStylePrefix,                  IconAtlas,        PortraitIndex,  AlphaIconAtlas,               SoundtrackTag,   MapImage,                   DawnOfManQuote,                   DawnOfManImage,  DerivativeCiv)
SELECT 'CIVILIZATION_THP_FATIMID_MUIZZ', 'TXT_KEY_CIV_THP_FATIMID_MUIZZ_DESC',  'TXT_KEY_CIV_THP_FATIMID_MUIZZ_SHORT_DESC',   'TXT_KEY_CIV_THP_FATIMID_MUIZZ_ADJECTIVE',    'TXT_KEY_PEDIA_THP_FATIMID_MUIZZ_TEXT',  'TXT_KEY_PEDIA_THP_FATIMID_MUIZZ', 'PLAYERCOLOR_THP_FATIMID_MUIZZ',     ArtDefineTag,   ArtStyleType,  ArtStyleSuffix, ArtStylePrefix,    'THP_FATIMID_MUIZZ_ATLAS',   0,             'THP_FATIMID_MUIZZ_ALPHA_ATLAS',   SoundtrackTag,  'Map_Muizz.dds',  'TXT_KEY_CIV5_DAWN_THP_FATIMID_MUIZZ_TEXT',   'Muizz_DOM.dds',  'CIVILIZATION_THP_FATIMID_BILLAH'
FROM Civilizations WHERE Type = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_CityNames
-------------------------
INSERT INTO Civilization_CityNames
          (CivilizationType,                      CityName)
VALUES    ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_1'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_2'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_3'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_4'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_5'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_6'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_7'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_8'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_9'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_10'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_11'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_12'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_13'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_14'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_15'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_16'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_17'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_18'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_19'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_20'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_21'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_22'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_23'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_24'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_25'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_26'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_27'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_28'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_29'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_30'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_31'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_32'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_CITY_NAME_THP_FATIMID_MUIZZ_33');
-----------------------------------
-- Civilization_FreeBuildingClasses
-----------------------------------
INSERT INTO Civilization_FreeBuildingClasses
          (CivilizationType,                    BuildingClassType)
SELECT    'CIVILIZATION_THP_FATIMID_MUIZZ',     BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_FreeTechs
-------------------------
INSERT INTO Civilization_FreeTechs
          (CivilizationType,                TechType)
SELECT    'CIVILIZATION_THP_FATIMID_MUIZZ',     TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-------------------------
-- Civilization_FreeUnits
-------------------------
INSERT INTO Civilization_FreeUnits
          (CivilizationType,                UnitClassType, Count, UnitAIType)
SELECT    'CIVILIZATION_THP_FATIMID_MUIZZ',     UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_ARABIA';
-----------------------
-- Civilization_Leaders
-----------------------
INSERT INTO Civilization_Leaders
       (CivilizationType,                  LeaderheadType)
VALUES ('CIVILIZATION_THP_FATIMID_MUIZZ', 'LEADER_THP_MUIZZ');
--------------------------------------
-- Civilization_BuildingClassOverrides
--------------------------------------
INSERT INTO Civilization_BuildingClassOverrides
(CivilizationType,                         BuildingClassType,      BuildingType)
VALUES ('CIVILIZATION_THP_FATIMID_MUIZZ', 'BUILDINGCLASS_TEMPLE', 'BUILDING_THP_MAZAR');
----------------------------------
-- Civilization_UnitClassOverrides
----------------------------------
INSERT INTO Civilization_UnitClassOverrides
       (CivilizationType,                  UnitClassType,       UnitType)
VALUES ('CIVILIZATION_THP_FATIMID_MUIZZ', 'UNITCLASS_CROSSBOWMAN', 'UNIT_THP_AHDATH');
-------------------------
-- Civilization_Religions
-------------------------
INSERT INTO Civilization_Religions
       (CivilizationType,              ReligionType)
VALUES ('CIVILIZATION_THP_FATIMID_MUIZZ', 'RELIGION_ISLAM');
------------------------
-- Civilization_SpyNames
------------------------
INSERT INTO Civilization_SpyNames
          (CivilizationType,                      SpyName)
VALUES    ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_0'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_1'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_2'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_3'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_4'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_5'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_6'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_7'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_8'),
          ('CIVILIZATION_THP_FATIMID_MUIZZ',     'TXT_KEY_SPY_NAME_THP_FATIMID_MUIZZ_9');
-- ======================================================================================================
-- LEADERS
-- ======================================================================================================
-- Leaders
----------
INSERT INTO Leaders
(Type,                                     Description,                          Civilopedia,                               CivilopediaTag,                            ArtDefineTag,         VictoryCompetitiveness,     WonderCompetitiveness,     MinorCivCompetitiveness,     Boldness,     DiploBalance,     WarmongerHate,     DenounceWillingness,     DoFWillingness, Loyalty,     Neediness,    Forgiveness,     Chattiness, Meanness,     IconAtlas,             PortraitIndex)
VALUES    ('LEADER_THP_MUIZZ',     'TXT_KEY_LEADER_THP_MUIZZ',    'TXT_KEY_LEADER_THP_MUIZZ_PEDIA_TEXT',    'TXT_KEY_LEADER_THP_MUIZZ_PEDIA',     'Muizz_Leaderhead.xml',    7,                                        6,                         5,                           6,            7,                5,                 6,                       6,                    6,           3,            3,               5,          5,           'THP_FATIMID_MUIZZ_ATLAS',   1);
--------------------------------
-- Leader_MajorCivApproachBiases
--------------------------------
INSERT INTO Leader_MajorCivApproachBiases
          (LeaderType,              MajorCivApproachType,              Bias)
VALUES    ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_WAR',           6),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_HOSTILE',       4),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_DECEPTIVE',     3),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_GUARDED',       7),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_AFRAID',        4),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_FRIENDLY',      6),
          ('LEADER_THP_MUIZZ',     'MAJOR_CIV_APPROACH_NEUTRAL',       6);
--------------------------------
-- Leader_MinorCivApproachBiases
--------------------------------
INSERT INTO Leader_MinorCivApproachBiases
          (LeaderType,              MinorCivApproachType,              Bias)
VALUES    ('LEADER_THP_MUIZZ',     'MINOR_CIV_APPROACH_IGNORE',        7),
          ('LEADER_THP_MUIZZ',     'MINOR_CIV_APPROACH_FRIENDLY',      5),
          ('LEADER_THP_MUIZZ',     'MINOR_CIV_APPROACH_PROTECTIVE',    7),
          ('LEADER_THP_MUIZZ',     'MINOR_CIV_APPROACH_CONQUEST',      3),
          ('LEADER_THP_MUIZZ',     'MINOR_CIV_APPROACH_BULLY',         5);
-----------------
-- Leader_Flavors
-----------------
INSERT INTO Leader_Flavors
          (LeaderType,              FlavorType,                        Flavor)
VALUES    ('LEADER_THP_MUIZZ',     'FLAVOR_OFFENSE',                   7),
          ('LEADER_THP_MUIZZ',     'FLAVOR_DEFENSE',                   4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_CITY_DEFENSE',              5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_MILITARY_TRAINING',         6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_RECON',                     6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_RANGED',                    8),
          ('LEADER_THP_MUIZZ',     'FLAVOR_MOBILE',                    4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_NAVAL',                     6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_NAVAL_RECON',               6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_NAVAL_GROWTH',              4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_NAVAL_TILE_IMPROVEMENT',    4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_AIR',                       8),
          ('LEADER_THP_MUIZZ',     'FLAVOR_EXPANSION',                 8),
          ('LEADER_THP_MUIZZ',     'FLAVOR_GROWTH',                    4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_TILE_IMPROVEMENT',          5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_INFRASTRUCTURE',            5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_PRODUCTION',                4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_GOLD',                      6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_SCIENCE',                   9),
          ('LEADER_THP_MUIZZ',     'FLAVOR_CULTURE',                   6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_HAPPINESS',                 4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_GREAT_PEOPLE',              5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_WONDER',                    5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_RELIGION',                  10),
          ('LEADER_THP_MUIZZ',     'FLAVOR_DIPLOMACY',                 6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_SPACESHIP',                 6),
          ('LEADER_THP_MUIZZ',     'FLAVOR_WATER_CONNECTION',          2),
          ('LEADER_THP_MUIZZ',     'FLAVOR_NUKE',                      7),
          ('LEADER_THP_MUIZZ',     'FLAVOR_USE_NUKE',                  3),
          ('LEADER_THP_MUIZZ',     'FLAVOR_ESPIONAGE',                 7),
          ('LEADER_THP_MUIZZ',     'FLAVOR_ANTIAIR',                   5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_AIRLIFT',                   4),
          ('LEADER_THP_MUIZZ',     'FLAVOR_I_TRADE_DESTINATION',       5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_I_TRADE_ORIGIN',            5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_I_SEA_TRADE_ROUTE',         3),
          ('LEADER_THP_MUIZZ',     'FLAVOR_I_LAND_TRADE_ROUTE',        5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_ARCHAEOLOGY',               5),
          ('LEADER_THP_MUIZZ',     'FLAVOR_AIR_CARRIER',               4);
----------------
-- Leader_Traits
----------------
INSERT INTO Leader_Traits
       (LeaderType,            TraitType)
VALUES ('LEADER_THP_MUIZZ',   'TRAIT_THP_FATIMID_MUIZZ');
-- ======================================================================================================
-- TRAITS
-- ======================================================================================================
-- Traits
---------
INSERT INTO Traits
       (Type,                          Description,                         ShortDescription)
VALUES ('TRAIT_THP_FATIMID_MUIZZ',    'TXT_KEY_TRAIT_THP_FATIMID_MUIZZ',   'TXT_KEY_TRAIT_THP_FATIMID_MUIZZ_SHORT');
-- ======================================================================================================
-- BUILDINGS
-- ======================================================================================================
-- Buildings
------------
INSERT INTO Buildings
(Type,                              BuildingClass,    Cost, Espionage, EspionageModifier, SpecialistType, SpecialistCount, GoldMaintenance, PrereqTech,     Description,                  Help,                                         Civilopedia,                        Strategy,                             ArtDefineTag, MinAreaSize, NeverCapture, HurryCostModifier, PortraitIndex, IconAtlas)
SELECT    'BUILDING_THP_MAZAR',    BuildingClass,    Cost, Espionage, EspionageModifier, 'SPECIALIST_SCIENTIST', 1, GoldMaintenance,  PrereqTech,   'TXT_KEY_BLDG_THP_MAZAR',    'TXT_KEY_BLDG_THP_MAZAR_HELP',    'TXT_KEY_BLDG_THP_MAZAR_TEXT',    'TXT_KEY_BLDG_THP_MAZAR_STRATEGY',    ArtDefineTag, MinAreaSize, NeverCapture, HurryCostModifier, 3,            'THP_FATIMID_MUIZZ_ATLAS'
FROM Buildings WHERE Type = 'BUILDING_TEMPLE';
-------------------------------
-- Building_ClassesNeededInCity
-------------------------------
INSERT INTO Building_ClassesNeededInCity
        (BuildingType,          BuildingClassType)
SELECT  'BUILDING_THP_MAZAR',   BuildingClassType
FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_TEMPLE';
-------------------
-- Building_Flavors
-------------------
INSERT INTO Building_Flavors
          (BuildingType,           FlavorType,    Flavor)
SELECT    'BUILDING_THP_MAZAR',    FlavorType,    Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_TEMPLE';

INSERT INTO Building_Flavors
        (BuildingType,           FlavorType,        Flavor)
VALUES  ('BUILDING_THP_MAZAR',  'FLAVOR_SCIENCE',   15);
------------------------
-- Building_YieldChanges
------------------------
INSERT INTO Building_YieldChanges
          (BuildingType,           YieldType,    Yield)
SELECT    'BUILDING_THP_MAZAR',    YieldType,    Yield
FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_TEMPLE';
-- ======================================================================================================
-- UNITS
-- ======================================================================================================
-- UnitPromotions
-----------------
INSERT INTO UnitPromotions
(Type,                         Description,                             Help,                                         Sound,                 CannotBeChosen, PortraitIndex,     IconAtlas,             PediaType,             PediaEntry)
VALUES    ('PROMOTION_THP_AHDATH_DEFENSE',         'TXT_KEY_PROMOTION_THP_AHDATH_DEFENSE',     'TXT_KEY_PROMOTION_THP_AHDATH_DEFENSE_HELP',     'AS2D_IF_LEVELUP',     1,                 59,             'ABILITY_ATLAS',     'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_THP_AHDATH_DEFENSE');
-----------
-- Policies
-----------
-- this dummy policy exists for some reason
INSERT INTO Policies
(Type,                                    Description)
VALUES    ('POLICY_THP_AHDATH_AT_WAR',    'TXT_KEY_PROMOTION_THP_AHDATH_DEFENSE');
--------
-- Units
--------
INSERT INTO Units
(Type,                               Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, Combat,  RangedCombat,   Range,     FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special,            Description,                         Help,                                    Strategy,                                 Civilopedia,                             MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo,                UnitFlagAtlas,                         UnitFlagIconOffset,    IconAtlas,              PortraitIndex,  MoveRate)
SELECT    'UNIT_THP_AHDATH',   Class,    CombatClass, WorkRate, PrereqTech, CanBuyCityState, Combat,    RangedCombat,   Range, FaithCost, RequiresFaithPurchaseEnabled, Cost, Moves, Domain, DefaultUnitAI, CivilianAttackPriority, Special, 'TXT_KEY_UNIT_THP_AHDATH',    'TXT_KEY_UNIT_THP_AHDATH_HELP',    'TXT_KEY_UNIT_THP_AHDATH_STRATEGY',      'TXT_KEY_UNIT_THP_AHDATH_TEXT',    MilitarySupport, MilitaryProduction, Pillage, ObsoleteTech, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, XPValueAttack, XPValueDefense, Conscription, 'ART_DEF_UNIT_THP_AHDATH', 'THP_UNIT_AHDATH_FLAG_ATLAS',    0,                    'THP_FATIMID_MUIZZ_ATLAS',   2,              MoveRate
FROM Units WHERE Type = 'UNIT_CROSSBOWMAN';
------------------------
-- UnitGameplay2DScripts
------------------------
INSERT INTO UnitGameplay2DScripts
       (UnitType,          SelectionSound, FirstSelectionSound)
SELECT 'UNIT_THP_AHDATH',  SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CROSSBOWMAN';
---------------
-- Unit_Flavors
---------------
INSERT INTO Unit_Flavors
       (UnitType,          FlavorType, Flavor)
SELECT 'UNIT_THP_AHDATH',  FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_CROSSBOWMAN';
----------------------
-- Unit_FreePromotions
----------------------
INSERT INTO Unit_FreePromotions
       (UnitType,          PromotionType)
SELECT 'UNIT_THP_AHDATH',  PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CROSSBOWMAN';

INSERT INTO Unit_FreePromotions
        (UnitType,           PromotionType)
VALUES  ('UNIT_THP_AHDATH', 'PROMOTION_THP_AHDATH_DEFENSE');
---------------------
-- Unit_ClassUpgrades
---------------------
INSERT INTO Unit_ClassUpgrades
       (UnitType,          UnitClassType)
SELECT 'UNIT_THP_AHDATH',  UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_CROSSBOWMAN';
----------------------
-- Unit_YieldFromKills
----------------------
INSERT INTO Unit_YieldFromKills
        (UnitType,           YieldType,     Yield)
VALUES  ('UNIT_THP_AHDATH', 'YIELD_FAITH',  50);
-- ======================================================================================================
-- ======================================================================================================
